#!/usr/bin/python3
import os
import logging
import conf2Utils

os.makedirs('/etc/kylin-config', exist_ok=True)
logging.basicConfig(filename='/etc/kylin-config/systembus.log', 
                    level=logging.DEBUG, 
                    format='%(asctime)s.%(msecs)03d - %(name)s - %(levelname)s - %(message)s', 
                    datefmt='%Y-%m-%d %H:%M:%S')
logger = logging.getLogger()
converter = conf2Utils.converter(logger)

logger.info('update db start')
if not converter.update_read_only_db():
   logging.error('update db fail')
logger.info('update db end')